Skip to content

getIssueWorkflow

READ

Get issue workflow.

POST /api/v1/quality/getIssueWorkflow
curl -X POST '<your-host>/api/v1/quality/getIssueWorkflow' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "nonConformanceWorkflowId": "string"
  }'
Response
{
  "active": true,
  "approvalRequirements": [
    "MRB"
  ],
  "companyId": "string",
  "content": "…",
  "createdAt": "string",
  "createdBy": "string",
  "description": "string",
  "id": "string",
  "name": "string",
  "priority": "Low",
  "requiredActionIds": [
    "string"
  ],
  "source": "Internal",
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "nonConformanceWorkflowId": {
      "type": "string"
    }
  },
  "required": [
    "nonConformanceWorkflowId"
  ]
}